header{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    margin: 10px;
    border: 1px solid black;
    grid-column-start: 1;
    grid-column-end: 8;
    grid-row-start: 1;
    grid-row-end: 3;
    font-size: 30px;
    background-color: rgb(38, 38, 115);
    color: white;
    border-radius: 20px;
}


.logo{
    height: 35px;             
    margin-right: 20px;
    background-color: #ffffff;         
    border-radius: 4px;               
    box-shadow: 0 4px 10px rgba(0,0,0,0.2); 
    overflow: hidden; 
}

#logofoot{
    float: right;
}

#form{     /* Formulärets styling*/ 
    padding: 10px;
    margin: 30px;
    border: black solid 2px;
    display: inline;
    justify-content: space-between 20px;
}

nav{
    padding: 10px;
    margin: 10px;
    background-color: rgb(132, 158, 230);
    border: 1px solid black;
    position: sticky;
    top: 0;
    grid-column-start: 1;
    grid-column-end: 8;
    grid-row-start: 3;
    grid-row-end: 4;
    min-height: 25px;
}

#main{
    display: grid;
    grid-template-rows: repeat(12,1fr);
    grid-template-columns: repeat(7,1fr);
    gap: 3px;    
}

body{
    background-color: #7378d1;
}

section {
    grid-column-start: 1;
    grid-column-end: 8;
    grid-row-start: 4;
    grid-row-end: 11;
    border: solid black 1px;
    padding: 10px;
    margin: 10px;
    background-color:  rgb(38, 38, 115);
    display: flex;
    flex-direction: column;   
    align-items: center;
    
}



footer{
    grid-column-start: 1;
    grid-column-end: 8;
    grid-row-start: 11;
    grid-row-end: 13;
    border: solid black 1px;
    padding: 10px;
    margin: 10px;
    border-radius: 20px;
    background-color: rgb(38, 38, 115);
    color: white;
    
}

nav ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: left;
    align-items: stretch; 
    height: 100%;
}
nav li {
    
    margin: 0;
    padding: 0;
    
}
nav li a {
    display: flex;
    align-items: center;      
    justify-content: center;  

    height: 100%;             
    padding: 0 20px;        

    color: white;
    text-decoration: none;
}
nav li a:hover {
background-color: gray;

}

.active {
    background-color: rgb(62, 67, 187);
    font-weight: bold;
}

#form{
    
    padding: 10px;
    border: solid white 2px;
    border-radius: 3px;
    color: white;
}

#send{                    /* styling för skicka knappen*/ 
    color:#ffffff;
    background-color:rgb(62, 67, 187) ;
    border: rgb(0, 0, 0) 1px solid;
    display: block;
    width: 100%;
    height: 30px;
}

#send:hover{                /* styling för skicka knappen*/      
    background-color: rgb(58, 41, 144);
    color: black;
}

.back{                      /* styling för tillbaka länken i tack.html*/ 
    font-size: 30px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

section h2 {             /* Underrubrik krävdes för att undvika validerings fel*/
    font-size: 25px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    color: white;
    text-align: center;
}

/* 
#dropdown {           gömmer dropdown menyn 
    display: none;
}
*/

@media only screen and (max-width: 768px) {   /* Mobil anpassning */

    #main{                       /* Ändrar layouten så att det är flera rader men endast en kolumn */
        display: grid;
        grid-template-rows: repeat(15,1fr);
        grid-template-columns: repeat(1,1fr);
    }
    

    header{                           
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 1;
        grid-row-end: 3;
    }

    nav {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 3;
        grid-row-end: 4;
    }

    section {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 4;
        grid-row-end: 14;
    }

    

    footer {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 14;
        grid-row-end: 16;
    }

    
/*                               Till mobil menyn, styling till dropdown menyn, fungerade inte bra med min grid layout.
    nav ul {
        display: none;
        border:1px solid black;
    }
    nav {
        border: none;
    }
    #dropdown {
        display: block;
    }
*/
}